# dotfiles
- A collection of my dotfiles that I use on my GNU/Linux machine
  - Both Arch (current Laptop and Desktop) and Ubuntu (Old Desktop).
  - I also used some of these dotfiles on MacOS, and exclusivly used [yabai](https://github.com/JakeRoggenbuck/dotfiles/tree/master/yabai) and [skhd](https://github.com/JakeRoggenbuck/dotfiles/tree/master/skhd) on that machine

# Tools
- I use a tool I made called [stow-squid](https://github.com/JakeRoggenbuck/stow-squid) to manage the updating and deplying of my dotfiles
  - The config for that can be found also in the repo [here](https://github.com/JakeRoggenbuck/dotfiles/tree/master/stow-squid)

![image](https://user-images.githubusercontent.com/35516367/165446679-a182aad1-f967-4f03-9214-4ae620bf20e5.png)

# Configs
## Nvim, Tmux, Alacritty
![image](https://user-images.githubusercontent.com/35516367/131428130-f3dae3f1-6bca-4b08-93e0-8d8ef3e42031.png)
![image](https://user-images.githubusercontent.com/35516367/131428275-e6309a21-f96e-4163-91d2-cbf884f3678e.png)

## Bspwm, Sxhkd, Skhd, Yabai (Window managers and keybinds)
![image](https://user-images.githubusercontent.com/35516367/131428915-13f2f0ad-0e47-4109-8f1f-53e7bfb75bbb.png)
![image](https://user-images.githubusercontent.com/35516367/131428972-1050732a-3ead-41da-b222-79f48e9e7ad7.png)
![image](https://user-images.githubusercontent.com/35516367/131429024-90234510-d10a-4af7-9f61-f2c422c0cd3a.png)
![image](https://user-images.githubusercontent.com/35516367/131429061-5ab13885-29ed-4e7f-ad1a-7c01f5b2b20c.png)
